# salt.states.portage_config

## Management of Portage package configuration on Gentoo

A state module to manage Portage configuration on Gentoo

    salt:
        portage_config.flags:
            - use:
                - openssl

salt.states.portage_config.flags(name, use=None, accept_keywords=None, env=None, license=None, properties=None, unmask=False, mask=False)

  Enforce the given flags on the given package or `DEPEND` atom.

  Warning

  In most cases, the affected package(s) need to be rebuilt in order to apply the changes.

  name

    The name of the package or its DEPEND atom

  use

    A list of `USE` flags

  accept_keywords

    A list of keywords to accept. `~ARCH` means current host arch, and will be translated into a line without keywords

  env

    A list of environment files

  license

    A list of accepted licenses

  properties

    A list of additional properties

  unmask

    A boolean to unmask the package

  mask

    A boolean to mask the package